com.hazelcast.config

## Class CacheSimpleEntryListenerConfigReadOnly

- java.lang.Object
- - com.hazelcast.config.CacheSimpleEntryListenerConfig
  - - com.hazelcast.config.CacheSimpleEntryListenerConfigReadOnly

- All Implemented Interfaces:
    DataSerializable, IdentifiedDataSerializable

  Deprecated.
  this class will be removed in 4.0; it is meant for internal usage only.

      public class CacheSimpleEntryListenerConfigReadOnly
      extends CacheSimpleEntryListenerConfig

  Readonly version of CacheSimpleEntryListenerConfig

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CacheSimpleEntryListenerConfigReadOnly(CacheSimpleEntryListenerConfig listenerConfig)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setCacheEntryEventFilterFactory(String cacheEntryEventFilterFactory)` Deprecated.
    `void` | `setCacheEntryListenerFactory(String cacheEntryListenerFactory)` Deprecated.
    `void` | `setOldValueRequired(boolean oldValueRequired)` Deprecated. If `true`, previously assigned values for the affected keys will be sent to this cache entry listener implementation.
    `void` | `setSynchronous(boolean synchronous)` Deprecated. If `true`, this cache entry listener implementation will be called in a synchronous manner.

    - ### Methods inherited from class com.hazelcast.config.CacheSimpleEntryListenerConfig

      `equals, getAsReadOnly, getCacheEntryEventFilterFactory, getCacheEntryListenerFactory, getFactoryId, getId, hashCode, isOldValueRequired, isSynchronous, readData, toString, writeData`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CacheSimpleEntryListenerConfigReadOnly

          public CacheSimpleEntryListenerConfigReadOnly(CacheSimpleEntryListenerConfig listenerConfig)

      Deprecated.

  - ### Method Detail

    - #### setSynchronous

          public void setSynchronous(boolean synchronous)

      Deprecated.
      Description copied from class: `CacheSimpleEntryListenerConfig`
      If `true`, this cache entry listener implementation will be called in a synchronous manner.
      Overrides:
        `setSynchronous` in class `CacheSimpleEntryListenerConfig`
      Parameters:
        `synchronous` - `true` to have this cache entry listener implementation called in a synchronous manner, `false` otherwise.

    - #### setOldValueRequired

          public void setOldValueRequired(boolean oldValueRequired)

      Deprecated.
      Description copied from class: `CacheSimpleEntryListenerConfig`
      If `true`, previously assigned values for the affected keys will be sent to this cache entry listener implementation. Setting this attribute to `true` creates additional traffic. Default value is `false`.
      Overrides:
        `setOldValueRequired` in class `CacheSimpleEntryListenerConfig`
      Parameters:
        `oldValueRequired` - `true` to have old value required, `false` otherwise

    - #### setCacheEntryEventFilterFactory

          public void setCacheEntryEventFilterFactory(String cacheEntryEventFilterFactory)

      Deprecated.
      Overrides:
        `setCacheEntryEventFilterFactory` in class `CacheSimpleEntryListenerConfig`

    - #### setCacheEntryListenerFactory

          public void setCacheEntryListenerFactory(String cacheEntryListenerFactory)

      Deprecated.
      Overrides:
        `setCacheEntryListenerFactory` in class `CacheSimpleEntryListenerConfig`

Copyright © 2020. All rights reserved.